-- LSP Server for LaTeX
require'lspconfig'.texlab.setup {
  on_attach = function()
    vim.keymap.set('n', 'K', vim.lsp.buf.hover, { buffer = 0, remap = false })
    vim.keymap.set('n', '<leader>gd', vim.lsp.buf.definition, { buffer = 0, remap = false })
  end,
  settings = {
    texlab = {
      chktex = {
        onEdit = true,
        onOpenAndSave = true
      },
    }
  }
}
